# Class PojoMessageHandlerWholePong

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<PongMessage>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<PongMessage>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholePong

All Implemented Interfaces:
  `MessageHandler, MessageHandler.Whole<PongMessage>, WrappedMessageHandler`

public class PojoMessageHandlerWholePong extends PojoMessageHandlerWholeBase<PongMessage>
PongMessage specific concrete implementation for handling whole messages.

## Nested Class Summary

### Nested classes/interfaces inherited from interface MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

## Field Summary

### Fields inherited from class PojoMessageHandlerWholeBase

`decoders`

### Fields inherited from class PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

## Constructor Summary

Constructors
Constructor
Description
`PojoMessageHandlerWholePong(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession)`
Create a whole pong message handler.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`decode(PongMessage message)`
Decode the message using the registered decoders.
`protected void`
`onClose()`
Called when the WebSocket session is closed.

### Methods inherited from class PojoMessageHandlerWholeBase

`convert, createDecoderInstance, onMessage`

### Methods inherited from class PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoMessageHandlerWholePong

public PojoMessageHandlerWholePong(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession)
Create a whole pong message handler.

Parameters:
  `pojo` - POJO instance
  `method` - Method to invoke
  `session` - WebSocket session
  `params` - Pre-populated parameter array
  `indexPayload` - Index of the payload parameter
  `convert` - Convert the message before passing to the method
  `indexSession` - Index of the session parameter

## Method Details

### decode

protected Object decode(PongMessage message)
Description copied from class: `PojoMessageHandlerWholeBase`
Decode the message using the registered decoders.

Specified by:
  `decode` in class `PojoMessageHandlerWholeBase<PongMessage>`
Parameters:
  `message` - Message to decode
Returns:
  Decoded message or `null` if no decoder could decode it

### onClose

protected void onClose()
Description copied from class: `PojoMessageHandlerWholeBase`
Called when the WebSocket session is closed. Destroys all decoders.

Overrides:
  `onClose` in class `PojoMessageHandlerWholeBase<PongMessage>`